Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90	(revision 11659)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90	(revision 11660)
@@ -644,11 +644,11 @@
       IF( ABS( rn_zu - rn_zqt) < 0.01_wp ) THEN
          !! q_air and t_air are given at 10m (wind reference height)
-         zevap(:,:) = rn_efac*MAX( 0._wp,             zqla(:,:)*Ce_atm(:,:)*(zsq(:,:) - zqair(:,:)) ) ! Evaporation, using bulk wind speed
-         zqsb (:,:) = cp_air(zqair(:,:))*zqla(:,:)*Ch_atm(:,:)*(zst(:,:) - ztpot(:,:)             )   ! Sensible Heat, using bulk wind speed
+         zevap(:,:) = rn_efac*MAX( 0._wp,  zqla(:,:)*Ce_atm(:,:)*(zsq(:,:) - zqair(:,:)) ) ! Evaporation, using bulk wind speed
+         zqsb (:,:) = cp_air(zqair(:,:)) * zqla(:,:)*Ch_atm(:,:)*(zst(:,:) - ztpot(:,:)  ) ! Sensible Heat, using bulk wind speed
       ELSE
          !! q_air and t_air are not given at 10m (wind reference height)
          ! Values of temp. and hum. adjusted to height of wind during bulk algorithm iteration must be used!!!
-         zevap(:,:) = rn_efac*MAX( 0._wp,             zqla(:,:)*Ce_atm(:,:)*(zsq(:,:) - q_zu(:,:) ) ) ! Evaporation, using bulk wind speed
-         zqsb (:,:) = cp_air(zqair(:,:))*zqla(:,:)*Ch_atm(:,:)*(zst(:,:) - t_zu(:,:) )   ! Sensible Heat, using bulk wind speed
+         zevap(:,:) = rn_efac*MAX( 0._wp,  zqla(:,:)*Ce_atm(:,:)*(zsq(:,:) - q_zu(:,:)) )  ! Evaporation, using bulk wind speed
+         zqsb (:,:) = cp_air(zqair(:,:)) * zqla(:,:)*Ch_atm(:,:)*(zst(:,:) - t_zu(:,:) )   ! Sensible Heat, using bulk wind speed
       ENDIF
 
@@ -665,4 +665,5 @@
 
       IF(ln_ctl) THEN
+         CALL prt_ctl( tab2d_1=zevap , clinfo1=' blk_oce: zevap  : ')
          CALL prt_ctl( tab2d_1=zqla  , clinfo1=' blk_oce: zqla   : ', tab2d_2=Ce_atm , clinfo2=' Ce_oce  : ' )
          CALL prt_ctl( tab2d_1=zqsb  , clinfo1=' blk_oce: zqsb   : ', tab2d_2=Ch_atm , clinfo2=' Ch_oce  : ' )
@@ -697,12 +698,13 @@
       !
       !!#LB: NO WHY???? IF ( nn_ice == 0 ) THEN
-      CALL iom_put( "rho_air" ,   rhoa )                 ! output air density (kg/m^3) !#LB
-      CALL iom_put( "qlw_oce" ,   zqlw )                 ! output downward longwave heat over the ocean
-      CALL iom_put( "qsb_oce" , - zqsb )                 ! output downward sensible heat over the ocean
-      CALL iom_put( "qla_oce" , - zqla )                 ! output downward latent   heat over the ocean
-      CALL iom_put( "qemp_oce",   qns-zqlw+zqsb+zqla )   ! output downward heat content of E-P over the ocean
-      CALL iom_put( "qns_oce" ,   qns  )                 ! output downward non solar heat over the ocean
-      CALL iom_put( "qsr_oce" ,   qsr  )                 ! output downward solar heat over the ocean
-      CALL iom_put( "qt_oce"  ,   qns+qsr )              ! output total downward heat over the ocean
+      CALL iom_put( "rho_air"  ,   rhoa )                 ! output air density (kg/m^3) !#LB
+      CALL iom_put( "qlw_oce"  ,   zqlw )                 ! output downward longwave heat over the ocean
+      CALL iom_put( "qsb_oce"  , - zqsb )                 ! output downward sensible heat over the ocean
+      CALL iom_put( "qla_oce"  , - zqla )                 ! output downward latent   heat over the ocean
+      CALL iom_put( "evap_oce" ,  zevap )                 ! evaporation
+      CALL iom_put( "qemp_oce" ,   qns-zqlw+zqsb+zqla )   ! output downward heat content of E-P over the ocean
+      CALL iom_put( "qns_oce"  ,   qns  )                 ! output downward non solar heat over the ocean
+      CALL iom_put( "qsr_oce"  ,   qsr  )                 ! output downward solar heat over the ocean
+      CALL iom_put( "qt_oce"   ,   qns+qsr )              ! output total downward heat over the ocean
       tprecip(:,:) = sf(jp_prec)%fnow(:,:,1) * rn_pfac * tmask(:,:,1) ! output total precipitation [kg/m2/s]
       sprecip(:,:) = sf(jp_snow)%fnow(:,:,1) * rn_pfac * tmask(:,:,1) ! output solid precipitation [kg/m2/s]