Index: /NEMO/trunk/doc/latex/NEMO/main/bibliography.bib
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/main/bibliography.bib	(revision 11673)
+++ /NEMO/trunk/doc/latex/NEMO/main/bibliography.bib	(revision 11674)
@@ -1614,4 +1614,24 @@
 }
 
+@article{         kraus.turner_tellus67,
+  author = {Kraus, E.B. and Turner, J.},
+  journal = {Tellus},
+  pages = {98--106},
+  title = {A one dimensional model of the seasonal thermocline {II}. {T}he general theory and its consequences},
+  volume = {19},
+  year = {1967}
+}
+
+@article{        large.ea_RG97,
+  author        = "Large, W. G. and McWilliams, J. C. and Doney, S. C.",
+  doi           = "10.1029/94RG01872",
+  journal       = "Reviews of Geophysics",
+  number        = {4},
+  pages         = {363--403},
+  publisher     = {AGU},
+  title         = "Oceanic vertical mixing: {A} review and a model with a nonlocal boundary layer parameterization",
+  year          = "1994"
+}
+
 @techreport{      large.yeager_rpt04,
   title         = "Diurnal to decadal global forcing for ocean and sea-ice
@@ -2184,4 +2204,13 @@
 }
 
+@article{mcwilliams.ea_JFM97,
+	author = {McWilliams, James C. and Sullivan, Peter P. and Moeng, Chin-Hoh},
+	doi = {10.1017/S0022112096004375},
+	journal = {Journal of Fluid Mechanics},
+	pages = {1--30},
+	title = {Langmuir turbulence in the ocean},
+	volume = {334},
+	year = {1997},
+}
 @article{         mellor.blumberg_JPO04,
   title         = "Wave Breaking and Ocean Surface Layer Thermal Response",
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11673)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11674)
@@ -533,6 +533,9 @@
  in \citet{reffray.guillaume.ea_GMD15} for the \NEMO\ model.
 
-%% =================================================================================================
-\subsection[OSM: OSMosis boundary layer scheme (\forcode{ln_zdfosm})]{OSM: OSMosis boundary layer scheme (\protect\np{ln_zdfosm}{ln\_zdfosm})}
+% -------------------------------------------------------------------------------------------------------------
+%        OSM OSMOSIS BL Scheme 
+% -------------------------------------------------------------------------------------------------------------
+\subsection[OSM: OSMOSIS boundary layer scheme (\forcode{ln_zdfosm = .true.})]
+{OSM: OSMOSIS boundary layer scheme (\protect\np{ln\_zdfosm}\forcode{ = .true.})}
 \label{subsec:ZDF_osm}
 
@@ -543,5 +546,33 @@
 \end{listing}
 
-The OSMOSIS turbulent closure scheme is based on......   TBC
+Much of the time the turbulent motions in the ocean surface boundary
+layer (OSBL) are not given by
+classical shear turbulence. Instead they are in a regime dominated by an
+interaction between the currents and the Stokes drift of the surface waves known as
+`Langmuir turbulence' \citep[e.g.][]{mcwilliams.ea_JFM97}.
+The OSMOSIS model is fundamentally based on results of Large Eddy
+Simulations (LES) of Langmuir turbulence and aims to fully describe
+this Langmuir regime.
+
+The OSMOSIS turbulent closure scheme is a similarity-scale scheme in
+the same spirit as the K-profile
+parameterization (KPP) scheme of \citet{large.ea_RG97}.
+A specified shape of diffusivity, scaled by the (OSBL) depth
+$h_{\mathrm{BL}}$ and a turbulent velocity scale, is imposed throughout the 
+boundary layer
+$-h_{\mathrm{BL}}<z<\eta$.
+However, rather than the OSBL
+depth being diagnosed in terms of a bulk Richardson number criterion,
+as in KPP, it is set by a prognostic equation that is informed by
+energy budget considerations reminiscent of the classical mixed layer
+models of \citet{kraus.turner_tellus67}. 
+The model also includes an explicit parametrization of the structure
+of the pycnocline (the stratified region at the bottom of the OSBL).
+
+\subsubsection{The flux gradient model}
+
+The turbulent closure model
+also includes ``non-local'' (independent of the local property gradient)
+fluxes of tracers and momentum.
 
 %% =================================================================================================