Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11683)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11684)
@@ -537,5 +537,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection[OSM: OSMOSIS boundary layer scheme (\forcode{ln_zdfosm = .true.})]
-{OSM: OSMOSIS boundary layer scheme (\protect\np{ln\_zdfosm}\forcode{ = .true.})}
+{OSM: OSMOSIS boundary layer scheme (\protect\np{ln_zdfosm}{ln\_zdfosm}\forcode{ = .true.})}
 \label{subsec:ZDF_osm}
 
@@ -551,14 +551,14 @@
 surface drift and penetration depth. There are three options:
 \begin{description}
-  \item \np{nn\_osm\_wave=0} Default value in \texttt{namelist\_ref}. In this case the Stokes drift is
+  \item \protect\np[=0]{nn_osm_wave}{nn\_osm\_wave} Default value in \texttt{namelist\_ref}. In this case the Stokes drift is
       assumed to be parallel to the surface wind stress, with
       magnitude consistent with a constant turbulent Langmuir number
-    $\mathrm{La}_t=$ \np{rn\_m\_la} i.e.\
-    $u_{s0}=\tau/(\np{rn\_m\_la}^2\rho_0)$.  Default value of
-    \np{rn\_m\_la} is 0.3. The Stokes penetration
-      depth $\delta = $ \np{rn\_osm\_dstokes}; this has default value
-      of \SI{5 m}.
+    $\mathrm{La}_t=$ \protect\np{rn_m_la} {rn\_m\_la} i.e.\
+    $u_{s0}=\tau/(\mathrm{La}_t^2\rho_0)$.  Default value of
+    \protect\np{rn_m_la}{rn\_m\_la} is 0.3. The Stokes penetration
+      depth $\delta = $ \protect\np{rn_osm_dstokes}{rn\_osm\_dstokes}; this has default value
+      of \SI{5}{m}.
  
-  \item \np{nn\_osm\_wave=1} In this case the Stokes drift is
+  \item \protect\np[=1]{nn_osm_wave}{nn\_osm\_wave} In this case the Stokes drift is
       assumed to be parallel to the surface wind stress, with
       magnitude as in the classical Pierson-Moskowitz wind-sea
@@ -567,5 +567,5 @@
       depth, following the approach set out in Breivik(XXxx)
  
-    \item \np{nn\_osm\_wave=2} In this case the Stokes drift is
+    \item \protect\np[=2]{nn\_osm_wave}{nn\_osm\_wave} In this case the Stokes drift is
       taken from  ECMWF wave model output, though only the component parallel
       to the wind stress is retained. Significant wave height and
@@ -578,26 +578,26 @@
     the surface boundary layer:
 \begin{description}
-   \item \np{ln\_kpprimix}  Default is \np{.true.}. Switches on KPP-style Ri \#-dependent
+   \item \protect\np{ln_kpprimix} {ln\_kpprimix}  Default is \np{.true.}. Switches on KPP-style Ri \#-dependent
      mixing below the surface boundary layer. If this is set
      \np{.true.}  the following variable settings are honoured:
-    \item \np{rn\_riinfty} Critical value of local Ri \# below which
+    \item \protect\np{rn_riinfty}{rn\_riinfty} Critical value of local Ri \# below which
       shear instability increases vertical mixing from background value.
-    \item \np{rn\_difri} Maximum value of Ri \#-dependent mixing at $\mathrm{Ri}=0$.
-    \item \np{ln\_convmix} If \texttt{.true.} then, where water column is unstable, specify
-       diffusivity equal to \np{rn\_dif\_conv} (default value is 1 ms$^{-2}$). 
+    \item \protect\np{rn_difri} {rn\_difri} Maximum value of Ri \#-dependent mixing at $\mathrm{Ri}=0$.
+    \item \protect\np{ln_convmix}{ln\_convmix} If \texttt{.true.} then, where water column is unstable, specify
+       diffusivity equal to \protect\np{rn_dif_conv}{rn\_dif\_conv} (default value is 1 ms$^{-2}$). 
  \end{description}
  Diagnostic output is controlled by:
   \begin{description}
-    \item \np{ln\_dia\_osm} Default is \np{.false.}; allows XIOS output of OSMOSIS internal fields.
+    \item \protect\np{ln_dia_osm}{ln\_dia\_osm} Default is \np{.false.}; allows XIOS output of OSMOSIS internal fields.
   \end{description}
 Obsolete namelist parameters include:
 \begin{description}
-   \item \np{ln\_use\_osm\_la} With \np{nn\_osm\_wave=0},
-      \np{rn\_osm\_dstokes} is always used to specify the Stokes
+   \item \protect\np{ln_use_osm_la}\np{ln\_use\_osm\_la} With \protect\np[=0]{nn_osm_wave}{nn\_osm\_wave},
+      \protect\np{rn_osm_dstokes} {rn\_osm\_dstokes} is always used to specify the Stokes
       penetration depth.
-   \item \np{nn\_ave} Choice of averaging method for KPP-style Ri#
+   \item \protect\np{nn_ave} {nn\_ave} Choice of averaging method for KPP-style Ri \#
       mixing. Not taken account of.
-   \item \np{rn\_osm\_hbl0} Depth of initial boundary layer is now set
-     by a desnity criterion similar to that used in  
+   \item \protect\np{rn_osm_hbl0} {rn\_osm\_hbl0} Depth of initial boundary layer is now set
+     by a density criterion similar to that used in calculating hmlp (output as mldr10_1) in zdfmxl.F90.
 \end{description}
 
@@ -637,5 +637,5 @@
 below should not be used with the OSMOSIS-OBL model: instabilities
 within the OSBL are part of the model, while instabilities below the
-ML are handled by the Ri # dependent scheme.
+ML are handled by the Ri \# dependent scheme.
 
 \subsubsection{Depth and velocity scales}
@@ -658,5 +658,5 @@
 but at times the Stokes drift may be weak due to e.g.\ ice cover, short fetch, misalignment with the surface stress, etc.\ so  a composite velocity scale is assumed for the stable (warming) boundary layer:
 \begin{equation}\label{eq:composite-nu}
-  \nu_{\ast}= \left\{ u_*^3 \left[1-\exp(-1.5 \mathrm{La}_t^2})\right]+w_{*L}^3\right\}^{1/3}.
+  \nu_{\ast}= \left\{ u_*^3 \left[1-\exp(-.5 \mathrm{La}_t^2)\right]+w_{*L}^3\right\}^{1/3}.
 \end{equation}
 For the unstable boundary layer this is merged with the standard convective velocity scale $w_{*C}=\left(\overline{w^\prime b^\prime}_0 \,h_\mathrm{ml}\right)^{1/3}$, where $\overline{w^\prime b^\prime}_0$ is the upwards surface buoyancy flux, to give:
@@ -702,8 +702,8 @@
 %
 The shape of the eddy viscosity and diffusivity profiles is the same as the shape in the unstable OSBL. The eddy diffusivity/viscosity depends on the stability parameter $h_{\mathrm{bl}}/{L_L}$ where $ L_L$ is analogous to the Obukhov length, but for Langmuir turbulence:
-\begin{equation}\label{eq:diff-wml-base} 
+\begin{equation}\label{eq:L_L} 
   L_L=-w_{*L}^3/\left<\overline{w^\prime b^\prime}\right>_L,
 \end{equation}
-with the mean turbulent buoyancy flux averaged over the boundary layer given in terms of its surface value $\overline{w^\prime b^\prime}}_0$ and (downwards) )solar irradiance $I(z)$ by
+with the mean turbulent buoyancy flux averaged over the boundary layer given in terms of its surface value $\overline{w^\prime b^\prime}_0$ and (downwards) )solar irradiance $I(z)$ by
 \begin{equation} \label{eq:stable-av-buoy-flux}
 \left<\overline{w^\prime b^\prime}\right>_L = \tfrac{1}{2} {\overline{w^\prime b^\prime}}_0-g\alpha_E\left[\tfrac{1}{2}(I(0)+I(-h))-\left<I\right>\right].
@@ -729,5 +729,5 @@
   + G\left(\delta/h_{\mathrm{ml}} \right)\left[\alpha_{\mathrm{S}}e^{-1.5\, \mathrm{La}_t}-\alpha_{\mathrm{L}} \frac{w_{\mathrm{*L}}^3}{h_{\mathrm{ml}}}\right]
 \end{equation}
-where the factor $G\equiv 1 - \mathrm{e}^ {-25\delta/h_{\mathrm{bl}}}(1-4\delta/h_{\mathrm{bl}})$ models the lesser efficiency of Langmuir mixing when the boundary-layer depth is much greater than the Stokes depth, and $\alpha_{\mathrm{B}}$, $\alpha_{S}$  and $\alpha_{\mathrm{L}}$ depend on the ratio of the appropriate eddy turnover time to the inertial timescale $f^{-1}$. Results from the LES suggest $\alpha_{\mathrm{B}}=0.18 F(fh_{\mathrm{bl}}/w_{*C})$, $\alpha_{S}=0.15 F(fh_{\mathrm{bl}}/u_*}$  and $\alpha_{\mathrm{L}}=0.035 F(fh_{\mathrm{bl}}/u_{*L})$, where $F(x)\equiv\tanh(x^{-1})^{0.69}$.
+where the factor $G\equiv 1 - \mathrm{e}^ {-25\delta/h_{\mathrm{bl}}}(1-4\delta/h_{\mathrm{bl}})$ models the lesser efficiency of Langmuir mixing when the boundary-layer depth is much greater than the Stokes depth, and $\alpha_{\mathrm{B}}$, $\alpha_{S}$  and $\alpha_{\mathrm{L}}$ depend on the ratio of the appropriate eddy turnover time to the inertial timescale $f^{-1}$. Results from the LES suggest $\alpha_{\mathrm{B}}=0.18 F(fh_{\mathrm{bl}}/w_{*C})$, $\alpha_{S}=0.15 F(fh_{\mathrm{bl}}/u_*$  and $\alpha_{\mathrm{L}}=0.035 F(fh_{\mathrm{bl}}/u_{*L})$, where $F(x)\equiv\tanh(x^{-1})^{0.69}$.
 
 For the stable boundary layer, the equation for the depth of the OSBL is: