Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11684)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11685)
@@ -537,5 +537,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \subsection[OSM: OSMOSIS boundary layer scheme (\forcode{ln_zdfosm = .true.})]
-{OSM: OSMOSIS boundary layer scheme (\protect\np{ln_zdfosm}{ln\_zdfosm}\forcode{ = .true.})}
+{OSM: OSMOSIS boundary layer scheme (\protect\np{ln_zdfosm}{ln\_zdfosm})}
 \label{subsec:ZDF_osm}
 
@@ -558,5 +558,5 @@
     \protect\np{rn_m_la}{rn\_m\_la} is 0.3. The Stokes penetration
       depth $\delta = $ \protect\np{rn_osm_dstokes}{rn\_osm\_dstokes}; this has default value
-      of \SI{5}{m}.
+      of 5~m.
  
   \item \protect\np[=1]{nn_osm_wave}{nn\_osm\_wave} In this case the Stokes drift is
@@ -565,11 +565,11 @@
       spectrum.  Significant wave height and
       wave-mean period taken from this spectrum are used to calculate the Stokes penetration
-      depth, following the approach set out in Breivik(XXxx)
+      depth, following the approach set out in  \citet{breivik.janssen.ea_JPO14}.
  
-    \item \protect\np[=2]{nn\_osm_wave}{nn\_osm\_wave} In this case the Stokes drift is
+    \item \protect\np[=2]{nn_osm_wave}{nn\_osm\_wave} In this case the Stokes drift is
       taken from  ECMWF wave model output, though only the component parallel
       to the wind stress is retained. Significant wave height and
       wave-mean period from ECMWF wave model output are used to calculate the Stokes penetration
-      depth, following the approach set out in Breivik(XXxx).
+      depth, again following \citet{breivik.janssen.ea_JPO14}.
 
     \end{description}
@@ -580,10 +580,10 @@
    \item \protect\np{ln_kpprimix} {ln\_kpprimix}  Default is \np{.true.}. Switches on KPP-style Ri \#-dependent
      mixing below the surface boundary layer. If this is set
-     \np{.true.}  the following variable settings are honoured:
+     \texttt{.true.}  the following variable settings are honoured:
     \item \protect\np{rn_riinfty}{rn\_riinfty} Critical value of local Ri \# below which
       shear instability increases vertical mixing from background value.
     \item \protect\np{rn_difri} {rn\_difri} Maximum value of Ri \#-dependent mixing at $\mathrm{Ri}=0$.
     \item \protect\np{ln_convmix}{ln\_convmix} If \texttt{.true.} then, where water column is unstable, specify
-       diffusivity equal to \protect\np{rn_dif_conv}{rn\_dif\_conv} (default value is 1 ms$^{-2}$). 
+       diffusivity equal to \protect\np{rn_dif_conv}{rn\_dif\_conv} (default value is 1 m~s$^{-2}$). 
  \end{description}
  Diagnostic output is controlled by:
@@ -599,5 +599,5 @@
       mixing. Not taken account of.
    \item \protect\np{rn_osm_hbl0} {rn\_osm\_hbl0} Depth of initial boundary layer is now set
-     by a density criterion similar to that used in calculating hmlp (output as mldr10_1) in zdfmxl.F90.
+     by a density criterion similar to that used in calculating \emph{hmlp} (output as \texttt{mldr10\_1}) in \mdl{zdfmxl}.
 \end{description}
 
@@ -612,5 +612,5 @@
 The OSMOSIS model is fundamentally based on results of Large Eddy
 Simulations (LES) of Langmuir turbulence and aims to fully describe
-this Langmuir regime. The description in this section is of necessity incomplete and further details are available in the manuscript ``The OSMOSIS scheme'', Grant. A (2019); in prep.
+this Langmuir regime. The description in this section is of necessity incomplete and further details are available in Grant. A (2019); in prep.
 
 The OSMOSIS turbulent closure scheme is a similarity-scale scheme in
@@ -722,5 +722,15 @@
 \frac{\partial h_\mathrm{bl}}{\partial t} = W_b - \frac{{\overline{w^\prime b^\prime}}_\mathrm{ent}}{\Delta B_\mathrm{bl}}
 \end{equation}
-where $h_\mathrm{bl}$ is the horizontally-varying depth of the OSBL, $\mathbf{U}_b$ and $W_b$ are the mean horizontal and vertical velocities at the base of the OSBL, ${\overline{w^\prime b^\prime}}_\mathrm{ent}$ is the buoyancy flux due to entrainment and $\Delta B_\mathrm{bl}$ is the difference between the buoyancy averaged over the depth of the OSBL (i.e.\ including the ML and pycnocline) and the buoyancy just below the base of the OSBL. This equation for the case when the pycnocline has a finite thickness, based on the potential energy budget of the OSBL, is the leading term \citep{grant+etal18} of a generalization of that used in mixed-layer models \citet[e.g.][]{kraus.turner_tellus67}, in which the thickness of the pycnocline is taken to be zero.
+where $h_\mathrm{bl}$ is the horizontally-varying depth of the OSBL,
+$\mathbf{U}_b$ and $W_b$ are the mean horizontal and vertical
+velocities at the base of the OSBL, ${\overline{w^\prime
+    b^\prime}}_\mathrm{ent}$ is the buoyancy flux due to entrainment
+and $\Delta B_\mathrm{bl}$ is the difference between the buoyancy
+averaged over the depth of the OSBL (i.e.\ including the ML and
+pycnocline) and the buoyancy just below the base of the OSBL. This
+equation for the case when the pycnocline has a finite thickness,
+based on the potential energy budget of the OSBL, is the leading term
+\citep{grant+etal18} of a generalization of that used in mixed-layer
+models e.g.\ \citet{kraus.turner_tellus67}, in which the thickness of the pycnocline is taken to be zero.
 
 The entrainment flux for the combination of convective and Langmuir turbulence is given by