Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11690)
@@ -113,5 +113,5 @@
 \begin{figure}[!tb]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_zgr}
+  \includegraphics[width=0.66\textwidth]{DOMCFG_zgr}
   \caption[DOMAINcfg: default vertical mesh for ORCA2]{
     Default vertical mesh for ORCA2: 30 ocean levels (L30).
@@ -444,5 +444,5 @@
 \begin{figure}[!ht]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_sco_function}
+  \includegraphics[width=0.66\textwidth]{DOMCFG_sco_function}
   \caption[DOMAINcfg: examples of the stretching function applied to a seamount]{
     Examples of the stretching function applied to a seamount;
@@ -493,5 +493,5 @@
 \begin{figure}[!ht]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_DOM_compare_coordinates_surface}
+  \includegraphics[width=0.66\textwidth]{DOMCFG_compare_coordinates_surface}
   \caption[DOMAINcfg: comparison of $s$- and $z$-coordinate]{
     A comparison of the \citet{song.haidvogel_JCP94} $S$-coordinate (solid lines),
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_algos.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_algos.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_algos.tex	(revision 11690)
@@ -311,5 +311,5 @@
 \begin{figure}[!ht]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ISO_triad}
+  \includegraphics[width=0.66\textwidth]{ALGOS_ISO_triad}
   \caption[Triads used in the Griffies's like iso-neutral diffision scheme for
     $u$- and $w$-components)]{
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex	(revision 11690)
@@ -212,5 +212,5 @@
 \begin{figure}[tb]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_GRIFF_triad_fluxes}
+  \includegraphics[width=0.66\textwidth]{TRIADS_GRIFF_triad_fluxes}
   \caption[Triads arrangement and tracer gradients to give lateral and vertical tracer fluxes]{
     (a) Arrangement of triads $S_i$ and tracer gradients to
@@ -272,5 +272,5 @@
 \begin{figure}[tb]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_GRIFF_qcells}
+  \includegraphics[width=0.66\textwidth]{TRIADS_GRIFF_qcells}
   \caption[Triad notation for quarter cells]{
     Triad notation for quarter cells.
@@ -657,5 +657,5 @@
 \begin{figure}[h]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_GRIFF_bdry_triads}
+  \includegraphics[width=0.66\textwidth]{TRIADS_GRIFF_bdry_triads}
   \caption[Boundary triads]{
     (a) Uppermost model layer $k=1$ with $i,1$ and $i+1,1$ tracer points (black dots),
@@ -808,5 +808,5 @@
 \begin{figure}[h]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_GRIFF_MLB_triads}
+  \includegraphics[width=0.66\textwidth]{TRIADS_GRIFF_MLB_triads}
   \caption[Definition of mixed-layer depth and calculation of linearly tapered triads]{
     Definition of mixed-layer depth and calculation of linearly tapered triads.
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11690)
@@ -1967,5 +1967,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_mask_subasins}
+  \includegraphics[width=0.66\textwidth]{DIA_mask_subasins}
   \caption[Decomposition of the World Ocean to compute transports as well as
   the meridional stream-function]{
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex	(revision 11690)
@@ -60,5 +60,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.33\textwidth]{Fig_cell}
+  \includegraphics[width=0.33\textwidth]{DOM_cell}
   \caption[Arrangement of variables in the unit cell of space domain]{
     Arrangement of variables in the unit cell of space domain.
@@ -151,5 +151,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.5\textwidth]{Fig_zgr_e3}
+  \includegraphics[width=0.5\textwidth]{DOM_zgr_e3}
   \caption[Comparison of grid-point position, vertical grid-size and scale factors]{
     Comparison of (a) traditional definitions of grid-point position and grid-size in the vertical,
@@ -265,5 +265,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.33\textwidth]{Fig_index_hor}
+  \includegraphics[width=0.33\textwidth]{DOM_index_hor}
   \caption[Horizontal integer indexing]{
     Horizontal integer indexing used in the \fortran\ code.
@@ -316,5 +316,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.33\textwidth]{Fig_index_vert}
+  \includegraphics[width=0.33\textwidth]{DOM_index_vert}
   \caption[Vertical integer indexing]{
     Vertical integer indexing used in the \fortran\ code.
@@ -474,5 +474,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.5\textwidth]{Fig_z_zps_s_sps}
+  \includegraphics[width=0.5\textwidth]{DOM_z_zps_s_sps}
   \caption[Ocean bottom regarding coordinate systems ($z$, $s$ and hybrid $s-z$)]{
     The ocean bottom as seen by the model:
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex	(revision 11690)
@@ -311,5 +311,5 @@
 \begin{figure}[!ht]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_DYN_een_triad}
+  \includegraphics[width=0.66\textwidth]{DYN_een_triad}
   \caption[Triads used in the energy and enstrophy conserving scheme (EEN)]{
     Triads used in the energy and enstrophy conserving scheme (EEN) for
@@ -846,5 +846,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_DYN_dynspg_ts}
+  \includegraphics[width=0.66\textwidth]{DYN_dynspg_ts}
   \caption[Split-explicit time stepping scheme for the external and internal modes]{
     Schematic of the split-explicit time stepping scheme for the external and internal modes.
@@ -1480,5 +1480,5 @@
 \begin{figure}[!ht]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_WAD_dynhpg}
+  \includegraphics[width=0.66\textwidth]{DYN_WAD_dynhpg}
   \caption[Combinations controlling the limiting of the horizontal pressure gradient in
   wetting and drying regimes]{
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex	(revision 11690)
@@ -79,5 +79,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_LBC_uv}
+  \includegraphics[width=0.66\textwidth]{LBC_uv}
   \caption[Lateral boundary at $T$-level]{
     Lateral boundary (thick line) at T-level.
@@ -104,5 +104,5 @@
 \begin{figure}[!p]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_LBC_shlat}
+  \includegraphics[width=0.66\textwidth]{LBC_shlat}
   \caption[Lateral boundary conditions]{
     Lateral boundary conditions
@@ -201,5 +201,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_LBC_jperio}
+  \includegraphics[width=0.66\textwidth]{LBC_jperio}
   \caption[Setting of east-west cyclic and symmetric across the Equator boundary conditions]{
     Setting of (a) east-west cyclic (b) symmetric across the Equator boundary conditions}
@@ -219,5 +219,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_North_Fold_T}
+  \includegraphics[width=0.66\textwidth]{LBC_North_Fold_T}
   \caption[North fold boundary in ORCA 2\deg, 1/4\deg and 1/12\deg]{
     North fold boundary with a $T$-point pivot and cyclic east-west boundary condition ($jperio=4$),
@@ -272,5 +272,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_mpp}
+  \includegraphics[width=0.66\textwidth]{LBC_mpp}
   \caption{Positioning of a sub-domain when massively parallel processing is used}
   \label{fig:LBC_mpp}
@@ -325,5 +325,5 @@
 \begin{figure}[!ht]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_mppini2}
+  \includegraphics[width=0.66\textwidth]{LBC_mppini2}
   \caption[Atlantic domain defined for the CLIPPER projet]{
     Example of Atlantic domain defined for the CLIPPER projet.
@@ -596,5 +596,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_LBC_bdy_geom}
+  \includegraphics[width=0.66\textwidth]{LBC_bdy_geom}
   \caption[Geometry of unstructured open boundary]{Example of geometry of unstructured open boundary}
   \label{fig:LBC_bdy_geom}
@@ -631,5 +631,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_LBC_nc_header}
+  \includegraphics[width=0.66\textwidth]{LBC_nc_header}
   \caption[Header for a \protect\ifile{coordinates.bdy} file]{
     Example of the header for a \protect\ifile{coordinates.bdy} file}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex	(revision 11690)
@@ -237,5 +237,5 @@
 \begin{figure}[!ht]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_LDF_ZDF1}
+  \includegraphics[width=0.66\textwidth]{LDF_ZDF1}
   \caption{Averaging procedure for isopycnal slope computation}
   \label{fig:LDF_ZDF1}
@@ -263,5 +263,5 @@
 \begin{figure}[!ht]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_eiv_slp}
+  \includegraphics[width=0.66\textwidth]{LDF_eiv_slp}
   \caption[Vertical profile of the slope used for lateral mixing in the mixed layer]{
     Vertical profile of the slope used for lateral mixing in the mixed layer:
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_OBS.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_OBS.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_OBS.tex	(revision 11690)
@@ -711,5 +711,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_OBS_avg_rec}
+  \includegraphics[width=0.66\textwidth]{OBS_avg_rec}
   \caption[Observational weights with a rectangular footprint]{
     Weights associated with each model grid box (blue lines and numbers)
@@ -720,5 +720,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_OBS_avg_rad}
+  \includegraphics[width=0.66\textwidth]{OBS_avg_rad}
   \caption[Observational weights with a radial footprint]{
     Weights associated with each model grid box (blue lines and numbers)
@@ -798,5 +798,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ASM_obsdist_local}
+  \includegraphics[width=0.66\textwidth]{OBS_obsdist_local}
   \caption[Observations with the geographical distribution]{
     Example of the distribution of observations with
@@ -825,5 +825,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ASM_obsdist_global}
+  \includegraphics[width=0.66\textwidth]{OBS_obsdist_global}
   \caption[Observations with the round-robin distribution]{
     Example of the distribution of observations with
@@ -1164,5 +1164,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_OBS_dataplot_main}
+  \includegraphics[width=0.66\textwidth]{OBS_dataplot_main}
   \caption{Main window of dataplot}
   \label{fig:OBS_dataplotmain}
@@ -1174,5 +1174,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_OBS_dataplot_prof}
+  \includegraphics[width=0.66\textwidth]{OBS_dataplot_prof}
   \caption[Profile plot from dataplot]{
     Profile plot from dataplot produced by right clicking on a point in the main window}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 11690)
@@ -986,5 +986,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_SBC_isf}
+  \includegraphics[width=0.66\textwidth]{SBC_isf}
   \caption[Ice shelf location and fresh water flux definition]{
     Illustration of the location where the fwf is injected and
@@ -1307,5 +1307,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_SBC_diurnal}
+  \includegraphics[width=0.66\textwidth]{SBC_diurnal}
   \caption[Reconstruction of the diurnal cycle variation of short wave flux]{
     Example of reconstruction of the diurnal cycle variation of short wave flux from
@@ -1341,5 +1341,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_SBC_dcy}
+  \includegraphics[width=0.66\textwidth]{SBC_dcy}
   \caption[Reconstruction of the diurnal cycle variation of short wave flux on an ORCA2 grid]{
     Example of reconstruction of the diurnal cycle variation of short wave flux from
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex	(revision 11690)
@@ -110,5 +110,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_adv_scheme}
+  \includegraphics[width=0.66\textwidth]{TRA_adv_scheme}
   \caption[Ways to evaluate the tracer value and the amount of tracer exchanged]{
     Schematic representation of some ways used to evaluate the tracer value at $u$-point and
@@ -880,5 +880,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_TRA_Irradiance}
+  \includegraphics[width=0.66\textwidth]{TRA_Irradiance}
   \caption[Penetration profile of the downward solar irradiance calculated by four models]{
     Penetration profile of the downward solar irradiance calculated by four models.
@@ -904,5 +904,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_TRA_geoth}
+  \includegraphics[width=0.66\textwidth]{TRA_geoth}
   \caption[Geothermal heat flux]{
     Geothermal Heat flux (in $mW.m^{-2}$) used by \cite{emile-geay.madec_OS09}.
@@ -1020,5 +1020,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.33\textwidth]{Fig_BBL_adv}
+  \includegraphics[width=0.33\textwidth]{TRA_BBL_adv}
   \caption[Advective/diffusive bottom boundary layer]{
     Advective/diffusive Bottom Boundary Layer.
@@ -1394,5 +1394,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.33\textwidth]{Fig_partial_step_scheme}
+  \includegraphics[width=0.33\textwidth]{TRA_partial_step_scheme}
   \caption[Discretisation of the horizontal difference and average of tracers in
   the $z$-partial step coordinate]{
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11690)
@@ -248,5 +248,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_mixing_length}
+  \includegraphics[width=0.66\textwidth]{ZDF_mixing_length}
   \caption[Mixing length computation]{Illustration of the mixing length computation}
   \label{fig:ZDF_mixing_length}
@@ -534,5 +534,5 @@
 
 % -------------------------------------------------------------------------------------------------------------
-%        OSM OSMOSIS BL Scheme 
+%        OSM OSMOSIS BL Scheme
 % -------------------------------------------------------------------------------------------------------------
 \subsection[OSM: OSMOSIS boundary layer scheme (\forcode{ln_zdfosm = .true.})]
@@ -559,5 +559,5 @@
       depth $\delta = $ \protect\np{rn_osm_dstokes}{rn\_osm\_dstokes}; this has default value
       of 5~m.
- 
+
   \item \protect\np[=1]{nn_osm_wave}{nn\_osm\_wave} In this case the Stokes drift is
       assumed to be parallel to the surface wind stress, with
@@ -566,5 +566,5 @@
       wave-mean period taken from this spectrum are used to calculate the Stokes penetration
       depth, following the approach set out in  \citet{breivik.janssen.ea_JPO14}.
- 
+
     \item \protect\np[=2]{nn_osm_wave}{nn\_osm\_wave} In this case the Stokes drift is
       taken from  ECMWF wave model output, though only the component parallel
@@ -585,5 +585,5 @@
     \item \protect\np{rn_difri} {rn\_difri} Maximum value of Ri \#-dependent mixing at $\mathrm{Ri}=0$.
     \item \protect\np{ln_convmix}{ln\_convmix} If \texttt{.true.} then, where water column is unstable, specify
-       diffusivity equal to \protect\np{rn_dif_conv}{rn\_dif\_conv} (default value is 1 m~s$^{-2}$). 
+       diffusivity equal to \protect\np{rn_dif_conv}{rn\_dif\_conv} (default value is 1 m~s$^{-2}$).
  \end{description}
  Diagnostic output is controlled by:
@@ -618,5 +618,5 @@
 parameterization (KPP) scheme of \citet{large.ea_RG97}.
 A specified shape of diffusivity, scaled by the (OSBL) depth
-$h_{\mathrm{BL}}$ and a turbulent velocity scale, is imposed throughout the 
+$h_{\mathrm{BL}}$ and a turbulent velocity scale, is imposed throughout the
 boundary layer
 $-h_{\mathrm{BL}}<z<\eta$. The turbulent closure model
@@ -627,5 +627,5 @@
 as in KPP, it is set by a prognostic equation that is informed by
 energy budget considerations reminiscent of the classical mixed layer
-models of \citet{kraus.turner_tellus67}. 
+models of \citet{kraus.turner_tellus67}.
 The model also includes an explicit parametrization of the structure
 of the pycnocline (the stratified region at the bottom of the OSBL).
@@ -643,5 +643,5 @@
 \begin{figure}[!t]
   \begin{center}
-    \includegraphics[width=0.7\textwidth]{Fig_ZDF_OSM_structure_of_OSBL}
+    %\includegraphics[width=0.7\textwidth]{ZDF_OSM_structure_of_OSBL}
     \caption{
       \protect\label{fig: OSBL_structure}
@@ -655,5 +655,5 @@
 \begin{equation}\label{eq:w_La}
 w_{*L}= \left(u_*^2 u_{s\,0}\right)^{1/3};
-\end{equation} 
+\end{equation}
 but at times the Stokes drift may be weak due to e.g.\ ice cover, short fetch, misalignment with the surface stress, etc.\ so  a composite velocity scale is assumed for the stable (warming) boundary layer:
 \begin{equation}\label{eq:composite-nu}
@@ -690,5 +690,5 @@
 where $\beta_d$ and $\beta_\nu$ are parameters that are determined by matching Eqs \ref{eq:diff-unstable} and \ref{eq:visc-unstable} to the eddy diffusivity and viscosity at the base of the well-mixed layer, given by
 %
-\begin{equation}\label{eq:diff-wml-base} 
+\begin{equation}\label{eq:diff-wml-base}
 K_{d,\mathrm{ml}}=K_{\nu,\mathrm{ml}}=\,0.16\,\omega_* \Delta h.
 \end{equation}
@@ -702,5 +702,5 @@
 %
 The shape of the eddy viscosity and diffusivity profiles is the same as the shape in the unstable OSBL. The eddy diffusivity/viscosity depends on the stability parameter $h_{\mathrm{bl}}/{L_L}$ where $ L_L$ is analogous to the Obukhov length, but for Langmuir turbulence:
-\begin{equation}\label{eq:L_L} 
+\begin{equation}\label{eq:L_L}
   L_L=-w_{*L}^3/\left<\overline{w^\prime b^\prime}\right>_L,
 \end{equation}
@@ -745,5 +745,5 @@
 \begin{equation}\label{eq:dhdt-stable}
 \max\left(\Delta B_{bl},\frac{w_{*L}^2}{h_\mathrm{bl}}\right)\frac{\partial h_\mathrm{bl}}{\partial t} = \left(0.06 + 0.52\,\frac{ h_\mathrm{bl}}{L_L}\right) \frac{w_{*L}^3}{h_\mathrm{bl}} +\left<\overline{w^\prime b^\prime}\right>_L.
-\end{equation} 
+\end{equation}
 
 Equation. \ref{eq:dhdt-unstable} always leads to the depth of the entraining OSBL increasing (ignoring the effect of the mean vertical motion), but the change in the thickness of the stable OSBL given by Eq. \ref{eq:dhdt-stable} can be positive or negative, depending on the magnitudes of $\left<\overline{w^\prime b^\prime}\right>_L$ and $h_\mathrm{bl}/L_L$. The rate at which the depth of the OSBL can decrease is limited by choosing an effective buoyancy $w_{*L}^2/h_\mathrm{bl}$, in place of $\Delta B_{bl}$ which will be $\approx 0$ for the collapsing OSBL.
@@ -756,5 +756,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ZDF_TKE_time_scheme}
+  \includegraphics[width=0.66\textwidth]{ZDF_TKE_time_scheme}
   \caption[Subgrid kinetic energy integration in GLS and TKE schemes]{
     Illustration of the subgrid kinetic energy integration in GLS and TKE schemes and
@@ -868,5 +868,5 @@
 \begin{figure}[!htb]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_npc}
+  \includegraphics[width=0.66\textwidth]{ZDF_npc}
   \caption[Unstable density profile treated by the non penetrative convective adjustment algorithm]{
     Example of an unstable density profile treated by
@@ -1013,5 +1013,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_zdfddm}
+  \includegraphics[width=0.66\textwidth]{ZDF_ddm}
   \caption[Diapycnal diffusivities for temperature and salt in regions of salt fingering and
   diffusive convection]{
@@ -1491,5 +1491,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ZDF_zad_Aimp_coeff}
+  \includegraphics[width=0.66\textwidth]{ZDF_zad_Aimp_coeff}
   \caption[Partitioning coefficient used to partition vertical velocities into parts]{
     The value of the partitioning coefficient (\cf) used to partition vertical velocities into
@@ -1531,5 +1531,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ZDF_zad_Aimp_overflow_frames}
+  \includegraphics[width=0.66\textwidth]{ZDF_zad_Aimp_overflow_frames}
   \caption[OVERFLOW: time-series of temperature vertical cross-sections]{
     A time-series of temperature vertical cross-sections for the OVERFLOW test case.
@@ -1611,5 +1611,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ZDF_zad_Aimp_overflow_all_rdt}
+  \includegraphics[width=0.66\textwidth]{ZDF_zad_Aimp_overflow_all_rdt}
   \caption[OVERFLOW: sample temperature vertical cross-sections from mid- and end-run]{
     Sample temperature vertical cross-sections from mid- and end-run using
@@ -1624,5 +1624,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ZDF_zad_Aimp_maxCf}
+  \includegraphics[width=0.66\textwidth]{ZDF_zad_Aimp_maxCf}
   \caption[OVERFLOW: maximum partitioning coefficient during a series of test runs]{
     The maximum partitioning coefficient during a series of test runs with
@@ -1635,5 +1635,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ZDF_zad_Aimp_maxCf_loc}
+  \includegraphics[width=0.66\textwidth]{ZDF_zad_Aimp_maxCf_loc}
   \caption[OVERFLOW: maximum partitioning coefficient for the case overlaid]{
     The maximum partitioning coefficient for the \forcode{nn_rdt=10.0} case overlaid with
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex	(revision 11690)
@@ -93,5 +93,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ORCA_NH_mesh}
+  \includegraphics[width=0.66\textwidth]{CFGS_ORCA_NH_mesh}
   \caption[ORCA mesh conception]{
     ORCA mesh conception.
@@ -120,6 +120,6 @@
 \begin{figure}[!tbp]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_ORCA_NH_msh05_e1_e2}
-  \includegraphics[width=0.66\textwidth]{Fig_ORCA_aniso}
+  \includegraphics[width=0.66\textwidth]{CFGS_ORCA_NH_msh05_e1_e2}
+  \includegraphics[width=0.66\textwidth]{CFGS_ORCA_aniso}
   \caption[Horizontal scale factors and ratio of anisotropy for ORCA 0.5\deg\ mesh]{
     \textit{Top}: Horizontal scale factors ($e_1$, $e_2$) and
@@ -264,5 +264,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_GYRE}
+  \includegraphics[width=0.66\textwidth]{CFGS_GYRE}
   \caption[Snapshot of relative vorticity at the surface of the model domain in GYRE R9, R27 and R54]{
     Snapshot of relative vorticity at the surface of the model domain in GYRE R9, R27 and R54.
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex	(revision 11690)
@@ -94,6 +94,6 @@
 \begin{figure}[!tbp]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_Gibraltar}
-  \includegraphics[width=0.66\textwidth]{Fig_Gibraltar2}
+  \includegraphics[width=0.66\textwidth]{MISC_Gibraltar}
+  \includegraphics[width=0.66\textwidth]{MISC_Gibraltar2}
   \caption[Two methods to defined the Gibraltar strait]{
     Example of the Gibraltar strait defined in a 1\deg\ $\times$ 1\deg\ mesh.
@@ -111,5 +111,5 @@
 \begin{figure}[!tbp]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_closea_mask_example}
+  \includegraphics[width=0.66\textwidth]{MISC_closea_mask_example}
   \caption[Mask fields for the \protect\mdl{closea} module]{
     Example of mask fields for the \protect\mdl{closea} module.
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics.tex	(revision 11690)
@@ -130,5 +130,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_I_ocean_bc}
+  \includegraphics[width=0.66\textwidth]{MB_ocean_bc}
   \caption[Ocean boundary conditions]{
     The ocean is bounded by two surfaces, $z = - H(i,j)$ and $z = \eta(i,j,t)$,
@@ -327,5 +327,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.33\textwidth]{Fig_I_earth_referential}
+  \includegraphics[width=0.33\textwidth]{MB_earth_referential}
   \caption[Geographical and curvilinear coordinate systems]{
     the geographical coordinate system $(\lambda,\varphi,z)$ and the curvilinear
@@ -692,5 +692,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_z_zstar}
+  \includegraphics[width=0.66\textwidth]{MB_z_zstar}
   \caption[Curvilinear z-coordinate systems (\{non-\}linear free-surface cases and re-scaled \zstar)]{
     \begin{enumerate*}[label=(\textit{\alph*})]
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex	(revision 11690)
@@ -147,5 +147,5 @@
 \begin{figure}[!t]
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_DYN_dynspg_ts}
+  \includegraphics[width=0.66\textwidth]{MBZ_DYN_dynspg_ts}
   \caption[Schematic of the split-explicit time stepping scheme for
   the barotropic and baroclinic modes, after \citet{Griffies2004?}]{
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex	(revision 11689)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex	(revision 11690)
@@ -216,5 +216,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_TimeStepping_flowchart_v4}
+  \includegraphics[width=0.66\textwidth]{TD_TimeStepping_flowchart_v4}
   \caption[Leapfrog time stepping sequence with split-explicit free surface]{
     Sketch of the leapfrog time stepping sequence in \NEMO\ with split-explicit free surface.
@@ -276,5 +276,5 @@
 \begin{figure}
   \centering
-  \includegraphics[width=0.66\textwidth]{Fig_MLF_forcing}
+  \includegraphics[width=0.66\textwidth]{TD_MLF_forcing}
   \caption[Forcing integration methods for modified leapfrog (top and bottom)]{
     Illustration of forcing integration methods.